version: "3.7"

services:
  php7.4:
    build: .docker/php7.4
    container_name: composer-unused-7.4
    volumes:
      - .:/docker/composer-unused:rw
      - ../contracts:/docker/contracts:rw
      - ../symbol-parser:/docker/symbol-parser:rw
    tty: true

  php8.0:
    build: .docker/php8.0
    container_name: composer-unused-8.0
    volumes:
      - .:/docker/composer-unused:rw
    tty: true

  php8.1:
    build: .docker/php8.1
    container_name: composer-unused-8.1
    volumes:
      - .:/docker/composer-unused:rw
    tty: true

  php8.2:
    build: .docker/php8.2
    container_name: composer-unused-8.2
    volumes:
      - .:/docker/composer-unused:rw
    tty: true
